Is the upgrade script only going to work on 2.0.11

Discussion of general topics related to the new version and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Forum rules
Discussion of general topics related to the new release and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
eyes sama
Registered User
Posts: 9
Joined: Sun Oct 10, 2004 2:51 am

Is the upgrade script only going to work on 2.0.11

Post by eyes sama »

Is it? I didn't bother upgrading becuase there were only minor changes.

Or do you not know?
Virtuality
Registered User
Posts: 197
Joined: Sat Apr 19, 2003 6:35 pm
Location: Sweden
Contact:

Re: Is the upgrade script only going to work on 2.0.11

Post by Virtuality »

From the comments I have seen earlier:
Tes, it will only be upgradable from 2.0.11.
"phpBB3 is never late. Nor is it early. It arrives precisely when it means to."
eyes sama
Registered User
Posts: 9
Joined: Sun Oct 10, 2004 2:51 am

Re: Is the upgrade script only going to work on 2.0.11

Post by eyes sama »

that is going to be a hassle.
Virtuality
Registered User
Posts: 197
Joined: Sat Apr 19, 2003 6:35 pm
Location: Sweden
Contact:

Re: Is the upgrade script only going to work on 2.0.11

Post by Virtuality »

Not really. Upgrading to 2.0.11 is not very hard. :P Actually, it's very simple.

On a sidenote: These changes are not "minor" at all. The latest upgrade fixes an extremley serious security issue, allowing, quoting psoTFX, "persons to install scripts, delete files and otherwise access your system". See http://www.phpbb.com/phpBB/viewtopic.php?f=14&t=244451" target="_blank for more details.
"phpBB3 is never late. Nor is it early. It arrives precisely when it means to."
User avatar
espenhh
Registered User
Posts: 189
Joined: Sun Mar 17, 2002 8:27 pm
Location: Norway ;)
Contact:

Re: Is the upgrade script only going to work on 2.0.11

Post by espenhh »

It is PROBABLY (read what I say once more, PROBABLY, not SURE ;)) possible to upgrade from versions as early as phpBB 2.0.4 (or was it 2.0.6), since there hasn't been any database-changes later... But, once more, I don't know. I just guess :lol:
Espen

(Huge thanks to the phpBB-developers!!!)

Need Norwegian support????
Image
User avatar
the_dan
Registered User
Posts: 700
Joined: Thu Apr 01, 2004 7:36 pm

Re: Is the upgrade script only going to work on 2.0.11

Post by the_dan »

If you are using 2.0.6 upwards then you will be able to upgrade fine. Anything less than 2.0.11 and you're an idiot, however.

Dan
Virtuality
Registered User
Posts: 197
Joined: Sat Apr 19, 2003 6:35 pm
Location: Sweden
Contact:

Re: Is the upgrade script only going to work on 2.0.11

Post by Virtuality »

Well it was said somewhere that upgrading from anything below 2.0.11 will not be supported, however, you might still be ABLE to do it.
But the upgrade script might even have a prevention against it... can still be modified of course.
Well, we'll see.
"phpBB3 is never late. Nor is it early. It arrives precisely when it means to."
Graham
Registered User
Posts: 1304
Joined: Tue Mar 19, 2002 7:11 pm
Location: UK

Re: Is the upgrade script only going to work on 2.0.11

Post by Graham »

The upgrade script will support going from the latest released version of phpBB 2.0.x. It may[/b] work with earlier versions, but whether we'll support that I don't yet know.

However, you should not still be running old versions - if you are, your board may be at risk and you should update to 2.0.11
"So Long, and Thanks for All the Fish"

Graham
Eeek, a blog!
grön
Registered User
Posts: 151
Joined: Tue Jun 01, 2004 8:21 am
Location: Ljusdal, Sweden
Contact:

Re: Is the upgrade script only going to work on 2.0.11

Post by grön »

espenhh wrote: It is PROBABLY (read what I say once more, PROBABLY, not SURE ;)) possible to upgrade from versions as early as phpBB 2.0.4 (or was it 2.0.6), since there hasn't been any database-changes later... But, once more, I don't know. I just guess :lol:
No Db cghanges since 2.0.6 is corect, and I just want to clarify, if you want yout board to opereate upgrade to .11 or else you will be attacked by a worm and the godby
Get Firefox and install the BBcode extension; then you are a real forum power user!
My reason for using phpBB is mrgreen
Peace-Love-Unity-STRENGTH
grrrlromeo
Registered User
Posts: 123
Joined: Mon Jan 05, 2004 10:31 am
Contact:

Re: Is the upgrade script only going to work on 2.0.11

Post by grrrlromeo »

Uhmm...I think I only used an install script once...the first time I installed phpbb. All other times I've done the minor upgrades, I've just replaced the necessary files/code.

Would it be possible to have an optional script just to upgrade the database and nothing else? Then those of us who know how to edit the code with the appropriate information can just upload the files. I would actually prefer to do it that way. I mean, if not then I guess I could alter the database myself. But I'm always uneasy when it comes to altering databases.
I can't delete my signature.
Post Reply